Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.view
Interface LookAndFeelView

All Superinterfaces
  MarkupBasedView, Serializable, View

    public interface LookAndFeelView

extends MarkupBasedView

View class for a look-and-feel.

"Views" are deep copy immutable objects. Unlike "Definitions" and "Instances" Views cannot be modified by the developer. An Instance or a Definition however can always be obtained from the view. The persistence APIs provide coarse grain and fine grain getters, but only fine grain setters. If you are interested in an object and all its children then retrieve the View, but if you are only interested in the immediate object and don't care about its children then retrieve the Definition.

See Also
  `View`
  This interface is intended to be implemented only by BEA Weblogic Portal. BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Field Summary
`static String` | `DEFAULT_SKELETON_ID` The name of the default skeleton.
`static String` | `DEFAULT_SKELETON_PATH` The path to the default skeleton.
`static String` | `DEFAULT_SKIN_ID` The name of the default skin.
`static String` | `DEFAULT_SKIN_PATH` The path to the default skin.

Method Summary
`String` | `getDefinitionLabel()` Return the unique moniker given to this look and feel in the look and feel file.
`LocalizationResourceView` | `getLocalizationResourceView()` The Localization resource contains the localized title and description for this look and feel.
`LookAndFeelDefinition` | `getLookAndFeelDefinition()` Retrieve the associated `LookAndFeelDefinition` from this LookAndFeel View.
`LookAndFeelDefinitionId` | `getLookAndFeelDefinitionId()` Getter for the lookandfeel definition id.
`String` | `getLookAndFeelFile()` Retrieve the file name used to create this look and feel.
`String` | `getThumbnailUri()` Get the URI to the thumbnail representation.
`String` | `getWebAppName()` Return the name of the webapp that this look and feel is associated with.
`boolean` | `isDeleted()` If isDeleted is true then the look and feel has been removed from the file system.

Methods inherited from interface com.bea.netuix.application.view.MarkupBasedView
`getMarkupView`

Methods inherited from interface com.bea.netuix.application.view.View
`getDescription, getTitle`

Field Detail

### DEFAULT_SKELETON_ID

    static final String DEFAULT_SKELETON_ID

  The name of the default skeleton.

  See Also
    Constants Summary

### DEFAULT_SKELETON_PATH

    static final String DEFAULT_SKELETON_PATH

  The path to the default skeleton.

  See Also
    Constants Summary

### DEFAULT_SKIN_ID

    static final String DEFAULT_SKIN_ID

  The name of the default skin.

  See Also
    Constants Summary

### DEFAULT_SKIN_PATH

    static final String DEFAULT_SKIN_PATH

  The path to the default skin.

  See Also
    Constants Summary

Method Detail

### getLookAndFeelDefinitionId

    LookAndFeelDefinitionId getLookAndFeelDefinitionId()

  Getter for the lookandfeel definition id. The lookandfeel id is the primary key value for the lookandfeel definition in the PF_LOOK_FEEL_DEFINITION table. Unlike Book, Pages, and Portlets, LookAndFeels do not have instances. The admin or end user can still change his or her lookandfeel, but this is customizing the desktop and not the lookandfeel.

  Returns
    a non-null unique definition id. This value should never be null as views are obtained via the persistence API.

### getLookAndFeelDefinition

    LookAndFeelDefinition getLookAndFeelDefinition()

  Retrieve the associated `LookAndFeelDefinition` from this LookAndFeel View. LookAndFeel Views are immutable but LookAndFeelDefinitions are not. Therefore it is often necessary to retrieve the definition from the view in order to update its values and then in turn call the persistence API. The LookAndFeel Definition is constructed and updated via its .laf file. If you create a new .laf file then a new LookAndFeel Definition is created in the database. If you edit the file the changes are automatically seen in the database (during dev time we poll the file system and in production we update the database whenever the webapp is redeployed).

  Returns
    a non-null LookAndFeel Definition

### getLocalizationResourceView

    LocalizationResourceView getLocalizationResourceView()

  The Localization resource contains the localized title and description for this look and feel.

  Returns
    a non-null LocalizationResourceView customized per the request.

### getWebAppName

    String getWebAppName()

  Return the name of the webapp that this look and feel is associated with. All resources in the portal framework database are scoped to the webapp.

  Returns
    a non-null webapp name.

### getLookAndFeelFile

    String getLookAndFeelFile()

  Retrieve the file name used to create this look and feel. Look and feels are created via .laf files

  Returns
    the file name associated with this look and feel.

### isDeleted

    boolean isDeleted()

  If isDeleted is true then the look and feel has been removed from the file system. It was not outright deleted from the database because it is in use by some desktop somewhere in the system. Either restore the file and this flag will go back to false or remove/replace this look and feel via the admin tools. If this flag is set on an object the admin tools will display the object with a different icon to denote that it has been removed from the file system

  Returns
    true if this file hase been deleted from the file system.

### getDefinitionLabel

    String getDefinitionLabel()

  Return the unique moniker given to this look and feel in the look and feel file. This method will return the same value as the "definitionLabel" label attribute in the .laf file.

  Returns
    a non-null label for this look and feel

### getThumbnailUri

    String getThumbnailUri()

  Get the URI to the thumbnail representation.

  Returns
    the URI to the thumbnail.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved